Bug 1612889 - [RFE] chargeback rates assigned to tags via multiple tag category assignations do not seem to get saved
Summary: [RFE] chargeback rates assigned to tags via multiple tag category assignation...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.4
Assignee: Libor Pichler
QA Contact: Nandini Chandra
URL:
Whiteboard:
Depends On: 1581349
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 13:33 UTC by Satoe Imaishi
Modified: 2018-09-04 18:02 UTC (History)
9 users (show)

Fixed In Version: 5.9.4.3
Doc Type: Enhancement
Doc Text:
Clone Of: 1581349
Environment:
Last Closed: 2018-09-04 18:01:56 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:02:24 UTC

Comment 2 CFME Bot 2018-08-06 13:37:39 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4bcb15607377b17d3810f6fff120b92a254061c7
commit 4bcb15607377b17d3810f6fff120b92a254061c7
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Aug  3 09:14:09 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Aug  3 09:14:09 2018 -0400

    Merge pull request #4310 from lpichler/save_multiple_tag_categories_in_chargeback_assignments

    Allow to save multiple tag categories in chargeback controller
    (cherry picked from commit a296004924bb35d0403b297f5c64b8f341aa5971)

    https://bugzilla.redhat.com/show_bug.cgi?id=1612889

 app/controllers/chargeback_controller.rb | 20 +-
 app/views/chargeback/_cb_assignments.html.haml | 2 +-
 spec/controllers/chargeback_controller_spec.rb | 4 +-
 3 files changed, 14 insertions(+), 12 deletions(-)

Comment 3 John Prause 2018-08-07 11:26:14 UTC
Libor: With that backport, it looks like this can be moved to POST.

Comment 5 CFME Bot 2018-08-08 10:02:35 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/d5caefc798ccf87d8cd6c98dac61cfa52f230a5a
commit d5caefc798ccf87d8cd6c98dac61cfa52f230a5a
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jul 19 04:48:00 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Thu Jul 19 04:48:00 2018 -0400

    Merge pull request #4311 from lpichler/fix_selection_of_labels_chargeback_assignments_without_labels

    Fix selection of container images label in Chargeback assignments
    (cherry picked from commit d7d1f7140ab3ee3f6e5ed2d8b0068733902410c0)

    https://bugzilla.redhat.com/show_bug.cgi?id=1612889

 app/controllers/chargeback_controller.rb | 2 +-
 spec/controllers/chargeback_controller_spec.rb | 11 +
 2 files changed, 12 insertions(+), 1 deletion(-)

Comment 6 CFME Bot 2018-08-08 10:23:03 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/5c44d13bc8002971346cd75daf17d9c0f1b342c4
commit 5c44d13bc8002971346cd75daf17d9c0f1b342c4
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Aug  8 05:58:21 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Aug  8 05:58:21 2018 -0400

    Merge pull request #4416 from lpichler/fix_selection_of_labels_chargeback_assignments_without_labels_2

    Fix saving of multiple container images label in Chargeback assignments
    (cherry picked from commit 243e427477d6010a9841d940b056ba23aca5d11d)

    https://bugzilla.redhat.com/show_bug.cgi?id=1612889

 app/controllers/chargeback_controller.rb | 24 +-
 spec/controllers/chargeback_controller_spec.rb | 13 +
 2 files changed, 29 insertions(+), 8 deletions(-)

Comment 7 CFME Bot 2018-08-08 12:27:40 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/33d9674d6b736f101246c00927633894c305b584
commit 33d9674d6b736f101246c00927633894c305b584
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Aug  8 08:23:18 2018 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Wed Aug  8 08:23:18 2018 -0400

    Merge pull request #4427 from lpichler/fix_multi_saving_tag_categories_in_chargeback_assigments

    Fix multi saving tag categories in chargeback assigments
    (cherry picked from commit bf4f5803149b4e7393452acec2b4f3899858e793)

    https://bugzilla.redhat.com/show_bug.cgi?id=1612889

 app/controllers/chargeback_controller.rb | 16 +-
 spec/controllers/chargeback_controller_spec.rb | 11 +-
 2 files changed, 14 insertions(+), 13 deletions(-)

Comment 8 Nandini Chandra 2018-08-10 18:27:24 UTC
Verified in 5.9.4.3

Comment 10 errata-xmlrpc 2018-09-04 18:01:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.